%define ttfdir %_datadir/fonts/default/TrueType-freefont

Name: freefont-fonts-ttf
Version: 0.030422
Release: alt6

Summary: Free unicode True Type fonts based on URW/Valek fonts
Summary (ru_RU.UTF-8): Свободные True Type шрифты основанные на шрифтах URW/Valek
License: GPL
Group: System/Fonts/True type
Url: http://savannah.nongnu.org/projects/freefont
Source0: freefont-ttf.tar.bz2
BuildArch: noarch
BuildRequires: freetype
PreReq: chkfontpath freetype fontconfig
Obsoletes: freefont-ttf braille-fonts-ttf
Provides: freefont-ttf

%description
A set of  Free unicode True Type fonts based on URW/Valek fonts

%description -l ru_RU.UTF-8
Свободные Unicode шрифты в формате True Type, основанные на шрифтах URW с дополнениями Валентина Филиппова.

%prep
%setup -q -n freefont-ttf

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 sfd/*.ttf  $RPM_BUILD_ROOT%ttfdir
cd $RPM_BUILD_ROOT%ttfdir
%_sbindir/ttmkfdir -f freefont -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
touch fonts.cache-1

%post
%_bindir/fc-cache %ttfdir ||:
%_sbindir/chkfontpath -q --add %ttfdir ||:

%postun
if [ "$1" = "0" ]; then
        %_sbindir/chkfontpath -q --remove %ttfdir ||:
fi

%triggerpostun -- %name < 0.030422-alt4
%_sbindir/chkfontpath -q --add %ttfdir ||:

%files
%ttfdir
%doc AUTHORS README CREDITS ChangeLog

%changelog
* Tue Jul 06 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.030422-alt6
- spec fix (buf #4582)

* Sat May 15 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.030422-alt5
- macros fix (bug #4141)

* Wed Feb 18 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.030422-alt4
- %postun script fix

* Thu Aug 28 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.030422-alt3
- Renamed to freefont-fonts-ttf for uniformity
- Obsoletes braille-fonts-ttf (Braille font is now part of freefont)

* Wed Aug 27 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.021011-alt2
- New version
- Changed dir
- Cleanups
- Translation
- Wrong URL fixed

* Wed Oct 16 2002 AEN <aen@altlinux.ru> 0.021011-alt1
- new package in Sisyphus
